D2X-REBIRTH(6)

NAME
d2x-rebirth - port of the 1996 classic game "Descent 2: Counterstrike"

DESCRIPTION
DXX-Rebirth is a Source Port of the Descent & Descent ][ Engines and provides classical Gameplay combined with OpenGL graphics and effects, a bunch of improvements and new features.

OPTIONS

System Options:

-nonicefps
    Don't free CPU-cycles

-maxfps <n>
    Set maximum framerate to <n> (default: 200, available: 1-200)

-hogdir <s>
    set shared data directory to <s>

-nohogdir
    don't try to use shared data directory

-use_players_dir
    put player files and saved games in Players subdirectory

-lowmem
    Lowers animation detail for better performance with low memory

-pilot <s>
    Select pilot <s> automatically

-autodemo
    Start in demo mode

-window
    Run the game in a window

-noborders
    Do not show borders in window mode

-nomovies
    Don't play movies

Controls:

-nomouse
    Deactivate mouse

-nojoystick
    Deactivate joystick

-nostickykeys
    Make CapsLock and NumLock non-sticky

Sound:

-nosound
    Disables sound output

-nomusic
    Disables music output

-sound11k
    Use 11KHz sounds

-nosdlmixer
    Disable Sound output via SDL_mixer

Graphics:

-lowresfont
    Force to use LowRes fonts

-lowresgraphics
    Force to use LowRes graphics

-lowresmovies
    Play low resolution movies if available (for slow machines)

-gl_fixedfont
    Do not scale fonts to current resolution

Multiplayer:

-udp_hostaddr <s>
    Use IP address/Hostname <s> for manual game joining (default: localhost)

-udp_hostport <n>
    Use UDP port <n> for manual game joining (default: 42424)

-udp_myport <n>
    Set my own UDP port to <n> (default: 42424)

-tracker_hostaddr <n>
    Address of Tracker server to register/query games to/from (default: dxxtracker.reenigne.net)

-tracker_hostport <n>
    Port of Tracker server to register/query games to/from (default: 42420)

Debug (use only if you know what you're doing):

-debug
    Enable debugging output.

-verbose
    Enable verbose output.

-safelog
    Write gamelog.txt unbuffered. Use to keep helpful output to trace program crashes.

-norun
    Bail out after initialization

-renderstats
    Enable renderstats info by default

-text <s>
    Specify alternate .tex file

-tmap <s>
    Select texmapper <s> to use (default: c, available: c, fp, quad, i386)

-showmeminfo
    Show memory statistics

-nodoublebuffer
    Disable Doublebuffering

-bigpig
    Use uncompressed RLE bitmaps

-16bpp
    Use 16Bpp instead of 32Bpp

-gl_oldtexmerge
    Use old texmerge, uses more ram, but might be faster

-gl_intensity4_ok <n>
    Override DbgGlIntensity4Ok (default: 1)

-gl_luminance4_alpha4_ok <n>
    Override DbgGlLuminance4Alpha4Ok (default: 1)

-gl_rgba2_ok <n>
    Override DbgGlRGBA2Ok (default: 1)

-gl_readpixels_ok <n>
    Override DbgGlReadPixelsOk (default: 1)

-gl_gettexlevelparam_ok <n>
    Override DbgGlGetTexLevelParamOk (default: 1)

Help:

-help, -h, -?, ?
    View this help screen